Name:          python-setproctitle
Version:       1.2.2
Release:       1mamba
Summary:       A Python library that allow customization of the process title
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://code.google.com/p/py-setproctitle/
Source:        http://pypi.debian.net/setproctitle/setproctitle-%{version}.tar.gz
License:       BSD
Requires:      python >= %python_version
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
setproctitle allow customization of the process title.

%prep
%setup -q -n setproctitle-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%doc COPYRIGHT

%changelog
* Tue Jan 26 2021 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Wed Dec 09 2020 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Automatic Build System <autodist@mambasoft.it> 1.1.10-1mamba
- automatic version update by autodist

* Wed Sep 30 2015 Automatic Build System <autodist@mambasoft.it> 1.1.9-1mamba
- automatic version update by autodist

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.7-2mamba
- python 2.7 mass rebuild

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Sun May 01 2011 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Thu Feb 10 2011 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Fri Nov 12 2010 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Mon Jun 07 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.1-1mamba
- package created by autospec
